<?php
/**
 * Table Definition for host
 */
require_once ''.DAODIR.'/Maintain.php';

class DAO_Host extends DAO_Maintain 
{
    ###START_AUTOCODE
    /* the code below is auto generated do not remove the above tag */

    var $__table = 'host';                            // table name
    var $id;                              // int(10)  not_null primary_key auto_increment
    var $ip;                              // int(11)  multiple_key unsigned
    var $dynamic_range;                   // int(11)  not_null unsigned
    var $name;                            // string(255)  not_null
    var $domain;                          // int(10)  not_null multiple_key
    var $ha;                              // string(12)  not_null multiple_key
    var $type;                            // string(128)  
    var $os;                              // string(128)  
    var $hardware_type;                   // string(128)  
    var $location;                        // string(128)  
    var $serial;                          // string(128)  
    var $last_seen;                       // int(11)  not_null unsigned
    var $other_id;                        // string(128)  
    var $workgroup;                       // int(11)  multiple_key unsigned
    var $enabled;                         // int(1)  not_null multiple_key
    var $expire;                          // int(11)  unsigned
    var $ttl;                             // int(11)  not_null unsigned
    var $last_update;                     // int(11)  not_null unsigned
    var $zone;                            // int(11)  not_null multiple_key unsigned
    var $purchase_date;                   // int(11)  
    var $po_number;                       // string(128)  
    var $warranty_date;                   // int(11)  
    var $owning_unit;                     // string(128)  
    var $user_id;                         // string(128)  

    /* ZE2 compatibility trick*/
    function __clone() { return $this;}

    /* Static get */
    function staticGet($k,$v=NULL) { return DB_DataObject::staticGet('DAO_Host',$k,$v); }

    /* the code above is auto generated do not remove the tag below */
    ###END_AUTOCODE
}
