<?php

/* vim: set expandtab tabstop=4 shiftwidth=4 foldmethod=marker: */
// $HeadURL$
// +------------------------------------------------------------------------+
// | Maintain - DNS/DHCP Managment Tool                                     |
// +------------------------------------------------------------------------+
// | Copyright (c) 2006 Open Source University                              |
// +------------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or          |
// | modify it under the terms of the GNU General Public License            |
// | as published by the Free Software Foundation; either version 2         |
// | of the License, or (at your option) any later version.                 |
// |                                                                        |
// | This program is distributed in the hope that it will be useful,        |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of         |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          |
// | GNU General Public License for more details.                           |
// |                                                                        |
// | You should have received a copy of the GNU General Public License      |
// | along with this program; if not, write to the Free Software            |
// | Foundation, Inc., 59 Temple Place - Suite 330,                         |
// | Boston, MA  02111-1307, USA.                                           |
// +------------------------------------------------------------------------+
// | Author(s): Josh Schonstal <schonstal@osuosl.org>                       |
// +------------------------------------------------------------------------+
// $Id$

require_once("includes.php");

global $conf;

// setup the HTML container (phphtmllib)
$content = container();

// set the page title
$title = html_h1(_("Maintain").' '.VERSION.' '._("currently unavailable"));
$content->add($title);

// load the proper skin
$skin = Skin::Factory("maintain");

$body = container(_("We're sorry, but maintain is currently in the process of being upgraded by an administrator.  Please check back later."));

$login = html_a(web_root()."logout.php", _("Return to the login page"));
    
// add the content to the page's container
$content->add($body,html_hr(),$login);

echo $skin->displayInstall($content);

?>
